% Vypocet funkcie fkin

close all
clc

% Parametre jednotlivých vzdialenosti 
L1 = 87,5;
L2 = 63;
L3 = 35;
L4 = 107;
L5 = 84;


%q1 {0-206 mm} % parametre polohovacích systémov
%q2 {0-2*pi mm}
%q3 {0-25 mm}
%q4 {0-50 mm}

% 1. súradnice polohy v jednotlivých osiach  

q(1) = 1; % posuv 1                        %zadat parametre
q(2) = pi/2; % natocenie 2
q(3) = 1; % posuv 3
q(4) = 1; % posuv 4

[x] = fkin( L1, L2, L3, L4, L5, q);

fprintf('1. suradnice: \n');

X1 = x(1)     
Y1 = x(2)
Z1 = x(3)


% 2. súradnice polohy v jednotlivých osiach

q(1) = 200; % posuv 1                        %zadat parametre
q(2) = pi/4; % natocenie 2
q(3) = 10; % posuv 3
q(4) = 50; % posuv 4

[x] = fkin( L1, L2, L3, L4, L5, q);

fprintf('2. suradnice: \n');

X2 = x(1)     
Y2 = x(2)
Z2 = x(3)




